Subject: bug#17874: 24.3.92; Incorrectly isolated ع in علی

From: penthief <[email-masked]>
Date: Sun, 29 Jun 2014 21:33:48 +0100

On 2014-06-29 19:32, Eli Zaretskii wrote:
>> Date: Sun, 29 Jun 2014 13:30:36 +0100
>> From: penthief <[email-masked]>
>> 
>> The following should display differently, as in 24.3.1.
>> A.  ع ل ی - these are the "isolated" types.
>> B.  علی  - this is a final, medial and initial type.
>> C.  عل ی‎ - the isolated ی should be joined when the space is removed.
>> This is the bug demonstrated.
>> 
>> 0. Start emacs: $ emacs -Q
>> 1. Output علی with a bold face in the appropriate font:
>> (progn
>>    (setq buffer-face-mode-face '(:family  "DejaVu Sans Mono"
>> :alternate-families  "Monaco" :height 100))
>>    (buffer-face-mode)
>>    (buffer-face-set 'bold)
>>    (newline)
>>    (insert " علی"))
>> 
>>   علی
>> 
>> 2. Change to a regular face:
>> (buffer-face-set 'default)
>>   علی
>> 
>> What happens is ی (ARABIC LETTER FARSI YEH) switches from the final to
>> the isolated type.
> 
> I cannot reproduce this on MS-Windows.  It works for me correctly both
> in Emacs 24.3 and in the emacs-24 branch as of r117323.  Could be
> libotf-specific.  Are you sure nothing changed in libotf and/or
> m17n-flt libraries between the time you built v24.3 and now?

After building 24.3 rather than relying on the binary provided by my 
distro I now see the issue in both versions, so I think you are right to 
say the problem is with one of the dependencies, rather than with Emacs.

Perhaps I can find a way to reproduce an issue on libotf / m17n-flt 
separately and raise it in the appropriate place.

Thanks,
Matt